Bug 1107901 (CVE-2014-3490) - CVE-2014-3490 RESTEasy: XXE via parameter entities
Summary: CVE-2014-3490 RESTEasy: XXE via parameter entities
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3490
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140723,repor...
Depends On: 1121906 1160697 1121894 1121895 1121896 1121897 1121898 1121899 1121900 1121901 1121902 1121903 1121904 1121905 1121907 1121908 1121909 1121910 1121911 1121912 1121913 1121914 1121915 1121916 1121917 1121918 1130248
Blocks: 1082938 1105426 1107902 1121942 1128762 1139455 1142503 1181883 1182400 1182419 1187398 1200191
TreeView+ depends on / blocked
 
Reported: 2014-06-11 01:51 UTC by David Jorm
Modified: 2019-06-11 11:13 UTC (History)
47 users (show)

Fixed In Version: resteasy 3.0.9.Final, resteasy 2.3.8.SP2, resteasy 2.3.8.SP1-redhat-1
Doc Type: Bug Fix
Doc Text:
It was found that the fix for CVE-2012-0818 was incomplete: external parameter entities were not disabled when the resteasy.document.expand.entity.references parameter was set to false. A remote attacker able to send XML requests to a RESTEasy endpoint could use this flaw to read files accessible to the user running the application server, and potentially perform other more advanced XXE attacks.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:33:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1011 normal SHIPPED_LIVE Moderate: resteasy-base security update 2014-08-06 05:02:45 UTC
Red Hat Product Errata RHSA-2014:1039 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.0 security update 2014-08-11 20:44:36 UTC
Red Hat Product Errata RHSA-2014:1040 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.0 security update 2014-08-11 21:05:15 UTC
Red Hat Product Errata RHSA-2014:1298 normal SHIPPED_LIVE Moderate: Red Hat JBoss Data Grid 6.3.1 update 2014-09-24 20:53:49 UTC
Red Hat Product Errata RHSA-2014:1904 normal SHIPPED_LIVE Important: Red Hat JBoss Operations Network 3.3.0 update 2014-11-25 21:48:32 UTC
Red Hat Product Errata RHSA-2015:0125 normal SHIPPED_LIVE Important: Red Hat JBoss Web Framework Kit 2.7.0 update 2015-02-04 22:41:57 UTC
Red Hat Product Errata RHSA-2015:0234 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.0.3 security update 2015-02-18 03:27:47 UTC
Red Hat Product Errata RHSA-2015:0235 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.0.3 security update 2015-02-18 03:27:36 UTC
Red Hat Product Errata RHSA-2015:0675 normal SHIPPED_LIVE Important: Red Hat JBoss Data Virtualization 6.1.0 update 2015-03-11 20:51:21 UTC
Red Hat Product Errata RHSA-2015:0720 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse Service Works 6.0.0 security update 2015-03-25 01:05:53 UTC
Red Hat Product Errata RHSA-2015:0765 normal SHIPPED_LIVE Important: Red Hat JBoss Data Virtualization 6.0.0 security update 2015-03-31 21:00:43 UTC
Red Hat Product Errata RHSA-2015:1009 normal SHIPPED_LIVE Important: Red Hat JBoss Portal 6.2.0 update 2015-05-14 19:14:47 UTC

Description David Jorm 2014-06-11 01:51:33 UTC
IssueDescription:

It was found that the fix for CVE-2012-0818 was incomplete: external parameter entities were not disabled when the resteasy.document.expand.entity.references parameter was set to false. A remote attacker able to send XML requests to a RESTEasy endpoint could use this flaw to read files accessible to the user running the application server, and potentially perform other more advanced XXE attacks.

Comment 1 Trevor Jay 2014-06-11 02:16:54 UTC
Acknowledgements:

This issue was discovered by David Jorm of Red Hat Product Security.

Comment 2 David Jorm 2014-06-13 01:18:25 UTC
Upstream bug (currently private):

https://issues.jboss.org/browse/RESTEASY-1073

Comment 8 Ron Sigal 2014-08-06 00:46:39 UTC
Weinan's PR https://github.com/resteasy/Resteasy/pull/533 (Branch_2_3) and my PR https://github.com/resteasy/Resteasy/pull/521 (master branch) have been applied, and RESTEASY-1073 is closed.

Comment 9 errata-xmlrpc 2014-08-06 01:02:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1011 https://rhn.redhat.com/errata/RHSA-2014-1011.html

Comment 10 errata-xmlrpc 2014-08-11 16:46:07 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.3.0

Via RHSA-2014:1039 https://rhn.redhat.com/errata/RHSA-2014-1039.html

Comment 11 errata-xmlrpc 2014-08-11 17:05:28 UTC
This issue has been addressed in following products:

  JBEAP 6.3.z for RHEL 6
  JBEAP 6.3.z for RHEL 5
  JBEAP 6.3.z for RHEL 7

Via RHSA-2014:1040 https://rhn.redhat.com/errata/RHSA-2014-1040.html

Comment 12 Arun Babu Neelicattu 2014-08-14 16:20:45 UTC
Created resteasy tracking bugs for this issue:

Affects: fedora-all [bug 1130248]

Comment 13 Arun Babu Neelicattu 2014-08-14 16:22:39 UTC
Victims Record:

https://github.com/victims/victims-cve-db/blob/master/database/java/2014/3490.yaml

Comment 14 errata-xmlrpc 2014-09-24 16:54:01 UTC
This issue has been addressed in the following products:

  JBoss Data Grid 6.3.1

Via RHSA-2014:1298 https://rhn.redhat.com/errata/RHSA-2014-1298.html

Comment 22 errata-xmlrpc 2014-11-25 16:48:59 UTC
This issue has been addressed in the following products:

  JBoss Operations Network 3.3.0

Via RHSA-2014:1904 https://rhn.redhat.com/errata/RHSA-2014-1904.html

Comment 23 errata-xmlrpc 2015-02-04 17:42:12 UTC
This issue has been addressed in the following products:

  JBoss Web Framework Kit 2.7.0

Via RHSA-2015:0125 https://rhn.redhat.com/errata/RHSA-2015-0125.html

Comment 24 errata-xmlrpc 2015-02-17 22:28:59 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.0.3

Via RHSA-2015:0235 https://rhn.redhat.com/errata/RHSA-2015-0235.html

Comment 25 errata-xmlrpc 2015-02-17 22:33:24 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.0.3

Via RHSA-2015:0234 https://rhn.redhat.com/errata/RHSA-2015-0234.html

Comment 27 errata-xmlrpc 2015-03-11 16:53:28 UTC
This issue has been addressed in the following products:

JBoss Data Virtualization 6.1.0

Via RHSA-2015:0675 https://rhn.redhat.com/errata/RHSA-2015-0675.html

Comment 28 errata-xmlrpc 2015-03-24 21:06:54 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse Service Works 6.0.0

Via RHSA-2015:0720 https://rhn.redhat.com/errata/RHSA-2015-0720.html

Comment 29 errata-xmlrpc 2015-03-31 17:01:49 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.0.0

Via RHSA-2015:0765 https://rhn.redhat.com/errata/RHSA-2015-0765.html

Comment 33 Fedora Update System 2015-04-24 22:47:01 UTC
resteasy-3.0.6-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 errata-xmlrpc 2015-05-14 15:21:01 UTC
This issue has been addressed in the following products:

  JBoss Portal 6.2.0

Via RHSA-2015:1009 https://rhn.redhat.com/errata/RHSA-2015-1009.html


Note You need to log in before you can comment on or make changes to this bug.